Log4j 1.2.7

## org.apache.log4j.varia
Class Roller

    java.lang.Object
      |
      +--org.apache.log4j.varia.Roller

public class Roller
extends Object

A simple application to send roll over messages to a potentially remote `ExternallyRolledFileAppender`.

It takes two arguments, the `host_name` and `port_number` where the `ExternallyRolledFileAppender` is listening.

Since:
  version 0.9.0
Author:
  Ceki Gülcü

Method Summary
`static void` `main(String[] argv)` Send a "RollOver" message to `ExternallyRolledFileAppender` on `host` and `port`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] argv)

  Send a "RollOver" message to `ExternallyRolledFileAppender` on `host` and `port`.

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.